complexType "MessageHeader"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | complex, 1 element
Abstract: | (cannot be assigned directly to elements used in instance XML documents)
Defined: | globally in fpml-msg-5-3.xsd; see XML source
Includes: | definition of 1 element
Used: | at 4 locations

Content Model Diagram

XML Representation Summary
<...>
Content: | messageId?
</...>

Content Model Elements (1):

  messageId

Known Direct Subtypes (4):

  ExceptionMessageHeader, NotificationMessageHeader, RequestMessageHeader, ResponseMessageHeader

All Direct / Indirect Based Elements (4):

  header (defined in Exception complexType), header (defined in NotificationMessage complexType), | header (defined in RequestMessage complexType), header (defined in ResponseMessage complexType)

Known Usage Locations

- In derivations of other global types (4):

  ExceptionMessageHeader (as extension base), NotificationMessageHeader (as extension base), | RequestMessageHeader (as extension base), ResponseMessageHeader (as extension base)

Annotation
A type defining the content model for a generic message header that is refined by its derived classes.
XML Source (w/o annotations (2); see within schema source)

<xsd:complexType abstract="true" name="MessageHeader"> <xsd:sequence> <xsd:element minOccurs="0" name="messageId" type="MessageId"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 1/1)
messageId

  Type: | MessageId, simple content

  A unique identifier (within its coding scheme) assigned to the message by its creating party.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="messageId" type="MessageId"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.